Flask需要安装的第三方库和基础应用

作者:自由 2020/12/10 20:18:12
Flask需要安装的第三方库和基础应用

1.安装pip
 

https://pypi.org/project/pip/#files

python setup.py install


2安装flask

pip install flask


3.安装sqlAlchemy

pip install flask_sqlalchemy
pip install mysqlclient
https://www.lfd.uci.edu/~gohlke/pythonlibs/#mysqlclient
pip install mysqlclient-1.4.2-cp37-cp37m-win32.whl


4.自动生成sqlAlchemy的model的第三方库 flask-sqlacodegen

pip install sqlacodegen


   假设数据库连接字符串是: mysql://root:root@127.0.0.1:3306/mydb 
   使用命令:sqlacodegen mysql://root:root@127.0.0.1:3306/mydb > models.py即可在当前目录生成models.py文件 
   sqlacodegen --noviews --noconstraints --noindexes --outfile d:\\models.py mysql://test:test@122.30.100.12:3388/test
--noviews 不对视图生成model
--outfile 后面跟的是将生成的代码输出到哪个文件保存

flask-sqlacodegen mysql://root:root@127.0.0.1/food_db --tables user --outfile common/models/user.py  --flask

详细的参数信息可以查看帮助

sqlacodegen --help

5跨域问题

pip install flask-cors

from flask_cors import *
 
app = Flask(__name__)
CORS(app, supports_credentials=True)

Flask需要安装的第三方库和基础应用.Flask基础

Flask使用包

评论: